<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePhotoGalleryDescriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('photo_gallery_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('title', 100)->nullable();
            $table->longText('description');

            $table->unsignedBigInteger('photo_gallery_id')->index();
            $table->unsignedBigInteger('language_id')->index();

            $table->foreign('photo_gallery_id')->references('id')->on('photo_galleries')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('language_id')->references('id')->on('languages')->onDelete('cascade')->onUpdate('cascade');



            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('photo_gallery_descriptions');
    }
}
